curl -X PUT 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"company_name": "Dunder Mifflin Paper Company",
"payout_method": "wise",
"payout_details": {
"email": "michael.wise@dundermifflin.com"
}
}'
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin Paper Company",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "wise",
"payout_details": {
"email": "michael.wise@dundermifflin.com"
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"status": "active",
"completed_onboarding": true,
"rejection_note": null,
"rejected_at": null,
"suspended_at": null,
"internal_note": null,
"suspension_reason": null,
"first_customer_email_active": true,
"new_customer_email_active": true,
"payout_paid_email_active": true
}
}
Partners
Update Partner
This endpoint updates a partner.
PUT
/
v1
/
partners
/
:id
curl -X PUT 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"company_name": "Dunder Mifflin Paper Company",
"payout_method": "wise",
"payout_details": {
"email": "michael.wise@dundermifflin.com"
}
}'
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin Paper Company",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "wise",
"payout_details": {
"email": "michael.wise@dundermifflin.com"
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"status": "active",
"completed_onboarding": true,
"rejection_note": null,
"rejected_at": null,
"suspended_at": null,
"internal_note": null,
"suspension_reason": null,
"first_customer_email_active": true,
"new_customer_email_active": true,
"payout_paid_email_active": true
}
}
Base URL https://api.tolt.com
Body Parameters
string - optional
Partner’s first name
string - optional
Partner’s last name
string - optional
Partner’s email address
string - optional
The group ID to assign the partner to
string - optional
Partner’s company name
string - optional
Two-letter ISO country code of the partner
string - optional
Partner’s payout method. Valid values are: ‘paypal’, ‘crypto’, ‘wise’,
‘bank_transfer’, ‘wire’, ‘none’
object - optional
Details specific to the selected payout method (e.g., PayPal email, bank
details)
string - optional
Partner’s status. Valid values are: ‘active’, ‘suspended’, ‘rejected’. Setting
the status to
rejected records rejected_at; changing it to another status
clears rejected_at. Setting the status to suspended records suspended_at;
changing it to another status clears suspended_at. Setting the same status
again preserves its existing timestamp.Response
boolean
Whether the request was successful
object
Hide properties
Hide properties
string
Unique identifier for the partner,
uuid or prefixed with part_string
Partner’s first name
string
Partner’s last name
string
Partner’s email address
string
Partner’s company name
string
Program ID the partner belongs to
string
Organization ID
string
Group ID the partner belongs to
string
Partner’s payout method
object
Payout method specific details
string
Two-letter ISO country code
string
ISO 8601 timestamp of creation
string
Partner’s status. Valid values are: ‘active’, ‘pending’, ‘suspended’,
‘rejected’.
boolean
The partner has completed onboarding.
string | null
A note why a partner was rejected.
string | null
ISO 8601 timestamp recorded when the partner was rejected, or
null when
the partner is not rejected.string | null
ISO 8601 timestamp recorded when the partner was suspended, or
null when
the partner is not suspended or the suspension date is unknown.string | null
A note related to the partner.
string | null
Reason for partner suspension if applicable.
boolean
Whether first customer email notifications are active for this partner.
boolean
Whether new customer email notifications are active for this partner.
boolean
Whether payout paid email notifications are active for this partner.
curl -X PUT 'https://api.tolt.com/v1/partners/part_s7mbzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"company_name": "Dunder Mifflin Paper Company",
"payout_method": "wise",
"payout_details": {
"email": "michael.wise@dundermifflin.com"
}
}'
{
"success": true,
"data": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin Paper Company",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"group_id": "grp_Zc2uw9zm1eyBiD3MHcjV3RDn",
"payout_method": "wise",
"payout_details": {
"email": "michael.wise@dundermifflin.com"
},
"country_code": "US",
"created_at": "2025-01-13T10:06:11.251Z",
"status": "active",
"completed_onboarding": true,
"rejection_note": null,
"rejected_at": null,
"suspended_at": null,
"internal_note": null,
"suspension_reason": null,
"first_customer_email_active": true,
"new_customer_email_active": true,
"payout_paid_email_active": true
}
}

